## libcli 1.8.2

=== Makefile ===
MAJOR=1
MINOR=8
REVISION=2
LIB=libcli.so

PREFIX?=/usr/local

CC=gcc
DEBUG=-g
CFLAGS+=$(DEBUG) -O3 -Wall -funroll-loops
LDFLAGS+=-shared -nostartfiles -Wl,-soname,$(LIB).$(MAJOR).$(MINOR)
LIBPATH+= -L.
LIBS=-lcrypt

all:	$(LIB) clitest

$(LIB): libcli.o
	$(CC) -o $(LIB).$(MAJOR).$(MINOR).$(REVISION) $^ $(LDFLAGS) $(LIBS)
	-rm -f $(LIB) $(LIB).$(MAJOR).$(MINOR)
	ln -s $(LIB).$(MAJOR).$(MINOR).$(REVISION) $(LIB).$(MAJOR).$(MINOR)
	ln -s $(LIB).$(MAJOR).$(MINOR) $(LIB)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -o $@ -c $^

clitest: clitest.o $(LIB)
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ -L. -lcli

clean:
	rm -f *.o $(LIB)* clitest

install: $(LIB)
	install -d $(DESTDIR)$(PREFIX)/include $(DESTDIR)$(PREFIX)/lib
	install -m 0644 libcli.h $(DESTDIR)$(PREFIX)/include
	install -m 0755 $(LIB).$(MAJOR).$(MINOR).$(REVISION) $(DESTDIR)$(PREFIX)/lib
	cd $(DESTDIR)$(PREFIX)/lib && \
	    ln -s $(LIB).$(MAJOR).$(MINOR).$(REVISION) $(LIB).$(MAJOR).$(MINOR) && \
	    ln -s $(LIB).$(MAJOR).$(MINOR) $(LIB)

rpm:
	mkdir libcli-$(MAJOR).$(MINOR).$(REVISION)
	cp -R *.c *.h Makefile Doc README *.spec libcli-$(MAJOR).$(MINOR).$(REVISION)
	tar zcvf libcli-$(MAJOR).$(MINOR).$(REVISION).tar.gz --exclude CVS --exclude *.tar.gz libcli-$(MAJOR).$(MINOR).$(REVISION)
	rm -rf libcli-$(MAJOR).$(MINOR).$(REVISION)
	rpm -ta libcli-$(MAJOR).$(MINOR).$(REVISION).tar.gz --clean

## libcli 1.8.4

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,20 @@
-MAJOR=1
-MINOR=8
-REVISION=2
-LIB=libcli.so
+DESTDIR =
+PREFIX = /usr/local
 
-PREFIX?=/usr/local
+MAJOR = 1
+MINOR = 8
+REVISION = 4
+LIB = libcli.so
 
-CC=gcc
-DEBUG=-g
-CFLAGS+=$(DEBUG) -O3 -Wall -funroll-loops
-LDFLAGS+=-shared -nostartfiles -Wl,-soname,$(LIB).$(MAJOR).$(MINOR)
-LIBPATH+= -L.
-LIBS=-lcrypt
+CC = gcc
+DEBUG = -g
+OPTIM = -O3
+CFLAGS += $(DEBUG) $(OPTIM) -Wall -Wformat-security -Wno-format-zero-length
+LDFLAGS += -shared -Wl,-soname,$(LIB).$(MAJOR).$(MINOR)
+LIBPATH += -L.
+LIBS = -lcrypt
 
-all:	$(LIB) clitest
+all: $(LIB) clitest
 
 $(LIB): libcli.o
 	$(CC) -o $(LIB).$(MAJOR).$(MINOR).$(REVISION) $^ $(LDFLAGS) $(LIBS)

## libcli 1.8.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 MAJOR = 1
 MINOR = 8
-REVISION = 4
+REVISION = 5
 LIB = libcli.so
 
 CC = gcc

## libcli 1.8.6

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 MAJOR = 1
 MINOR = 8
-REVISION = 5
+REVISION = 6
 LIB = libcli.so
 
 CC = gcc

## libcli 1.8.8

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 MAJOR = 1
 MINOR = 8
-REVISION = 6
+REVISION = 8
 LIB = libcli.so
 
 CC = gcc
@@ -23,10 +23,12 @@
 	ln -s $(LIB).$(MAJOR).$(MINOR) $(LIB)
 
 %.o: %.c
-	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -o $@ -c $^
+	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -o $@ -c $<
+
+libcli.o: libcli.h
 
 clitest: clitest.o $(LIB)
-	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ -L. -lcli
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< -L. -lcli
 
 clean:
 	rm -f *.o $(LIB)* clitest

## libcli 1.9.1~20080302

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 PREFIX = /usr/local
 
 MAJOR = 1
-MINOR = 8
-REVISION = 8
+MINOR = 9
+REVISION = 0
 LIB = libcli.so
 
 CC = gcc

## libcli 1.9.6

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,25 @@
+UNAME = $(shell sh -c 'uname -s 2>/dev/null || echo not')
 DESTDIR =
 PREFIX = /usr/local
 
 MAJOR = 1
 MINOR = 9
-REVISION = 0
+REVISION = 6
 LIB = libcli.so
 
 CC = gcc
 DEBUG = -g
 OPTIM = -O3
-CFLAGS += $(DEBUG) $(OPTIM) -Wall -Wformat-security -Wno-format-zero-length
-LDFLAGS += -shared -Wl,-soname,$(LIB).$(MAJOR).$(MINOR)
+CFLAGS += $(DEBUG) $(OPTIM) -Wall -std=c99 -pedantic -Wformat-security -Wno-format-zero-length -Werror -Wwrite-strings -Wformat -fdiagnostics-show-option -Wextra -Wsign-compare -Wcast-align -Wno-unused-parameter
+LDFLAGS += -shared
 LIBPATH += -L.
+
+ifeq ($(UNAME),Darwin)
+LDFLAGS += -Wl,-install_name,$(LIB).$(MAJOR).$(MINOR)
+else
+LDFLAGS += -Wl,-soname,$(LIB).$(MAJOR).$(MINOR)
 LIBS = -lcrypt
+endif
 
 all: $(LIB) clitest
 
@@ -29,6 +36,9 @@
 
 clitest: clitest.o $(LIB)
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< -L. -lcli
+
+clitest.exe: clitest.c libcli.o
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< libcli.o -lws2_32
 
 clean:
 	rm -f *.o $(LIB)* clitest

=== debian/changelog ===
libcli (1.9.6-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper to compat level 8.
  * Move to source format 3.0 (quilt).
  * Ship clitest.c as example with -dev package. (closes: #550169)
  * Enable hardening flags.
  * Enabled multiarch.
  * Bump Standards-Version to 3.9.3.0 (no changes).
  * Add Vcs-Git header to debian/control
  * Update watch file.

 -- Jonathan McDowell <noodles@earth.li>  Wed, 06 Jun 2012 22:05:07 -0700

libcli (1.9.1~20080302-1) unstable; urgency=low

  * New upstream release (1.9.0 + CVS fixes).
  * Alter watch file to use qa.debian.org redirector. (closes: #450183)
  * Lintian cleanups:
    * Don't ignore make clean errors.
    * Change from ${Source-Version} to ${binary:Version}
    * Fix copyright declaration.
    * Bump standards version (no other changes).

 -- Jonathan McDowell <noodles@earth.li>  Sun, 02 Mar 2008 10:11:29 +0000

libcli (1.8.8-2) unstable; urgency=low

  * Add Provides/Replaces/Conflicts for libcli1; we're providing the same
    ABI, just with a correctly named package.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 29 May 2007 15:04:43 +0100

libcli (1.8.8-1) unstable; urgency=low

  * New upstream release.
  * Fix binary package name to match soname (libcli1.8).
  * Bump Standards-Version to 3.7.2.2 (no changes).

 -- Jonathan McDowell <noodles@earth.li>  Mon, 21 May 2007 17:37:31 +0100

libcli (1.8.6-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Mon, 20 Mar 2006 16:47:49 +0000

libcli (1.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Thu, 05 May 2005 12:34:24 +0100

libcli (1.8.4-1) unstable; urgency=low

  * New upstream release.
  * Fix up watch file.
  * Lower case first letter of Description to keep lintian happy.

 -- Jonathan McDowell <noodles@earth.li>  Thu, 06 Jan 2005 14:08:17 +0000

libcli (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * Initial Debian upload (closes: #280611)

 -- Jonathan McDowell <noodles@earth.li>  Tue, 16 Nov 2004 12:25:56 +0000

libcli (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Jonathan McDowell <noodles@earth.li>  Wed,  1 Sep 2004 10:55:56 +0100

libcli (1.6.2-1) unstable; urgency=low

  * Initial packaging.

 -- Jonathan McDowell <noodles@earth.li>  Wed, 30 Jun 2004 12:13:31 +0100

=== debian/control ===
Source: libcli
Priority: optional
Section: libs
Maintainer: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper (>> 8)
Standards-Version: 3.9.3.0
Vcs-Git: https://github.com/dparrish/libcli.git

Package: libcli-dev
Section: libdevel
Architecture: any
Depends: libcli1.9 (= ${binary:Version}), ${misc:Depends} 
Description: emulates a cisco style telnet command-line interface (dev files)
 libcli provides a consistant Cisco style command-line environment for
 remote clients, with a few common features between every implemtation.
 .
 The library is not accessed by itself, rather the software which uses
 it listens on a defined port for a Telnet connection. This connection
 is handed off to libcli for processing.
 .
 libcli includes support for command history, command line editing and
 filtering of command output.
 .
 This package contains the files necessary for developing applications
 with libcli.

Package: libcli1.9
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Conflicts: libcli1
Provides: libcli1
Replaces: libcli1
Description: emulates a cisco style telnet command-line interface
 libcli provides a consistant Cisco style command-line environment for
 remote clients, with a few common features between every implemtation.
 .
 The library is not accessed by itself, rather the software which uses
 it listens on a defined port for a Telnet connection. This connection
 is handed off to libcli for processing.
 .
 libcli includes support for command history, command line editing and
 filtering of command output.

## libcli 1.9.7

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,13 @@
 
 MAJOR = 1
 MINOR = 9
-REVISION = 6
+REVISION = 7
 LIB = libcli.so
+LIB_STATIC = libcli.a
 
 CC = gcc
+AR = ar
+ARFLAGS = rcs
 DEBUG = -g
 OPTIM = -O3
 CFLAGS += $(DEBUG) $(OPTIM) -Wall -std=c99 -pedantic -Wformat-security -Wno-format-zero-length -Werror -Wwrite-strings -Wformat -fdiagnostics-show-option -Wextra -Wsign-compare -Wcast-align -Wno-unused-parameter
@@ -21,13 +24,16 @@
 LIBS = -lcrypt
 endif
 
-all: $(LIB) clitest
+all: $(LIB) $(LIB_STATIC) clitest
 
 $(LIB): libcli.o
 	$(CC) -o $(LIB).$(MAJOR).$(MINOR).$(REVISION) $^ $(LDFLAGS) $(LIBS)
 	-rm -f $(LIB) $(LIB).$(MAJOR).$(MINOR)
 	ln -s $(LIB).$(MAJOR).$(MINOR).$(REVISION) $(LIB).$(MAJOR).$(MINOR)
 	ln -s $(LIB).$(MAJOR).$(MINOR) $(LIB)
+
+$(LIB_STATIC): libcli.o
+	$(AR) $(ARFLAGS) $@ $^
 
 %.o: %.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -o $@ -c $<
@@ -41,15 +47,15 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< libcli.o -lws2_32
 
 clean:
-	rm -f *.o $(LIB)* clitest
+	rm -f *.o $(LIB)* $(LIB_STATIC) clitest
 
 install: $(LIB)
 	install -d $(DESTDIR)$(PREFIX)/include $(DESTDIR)$(PREFIX)/lib
 	install -m 0644 libcli.h $(DESTDIR)$(PREFIX)/include
 	install -m 0755 $(LIB).$(MAJOR).$(MINOR).$(REVISION) $(DESTDIR)$(PREFIX)/lib
 	cd $(DESTDIR)$(PREFIX)/lib && \
-	    ln -s $(LIB).$(MAJOR).$(MINOR).$(REVISION) $(LIB).$(MAJOR).$(MINOR) && \
-	    ln -s $(LIB).$(MAJOR).$(MINOR) $(LIB)
+	    ln -fs $(LIB).$(MAJOR).$(MINOR).$(REVISION) $(LIB).$(MAJOR).$(MINOR) && \
+	    ln -fs $(LIB).$(MAJOR).$(MINOR) $(LIB)
 
 rpm:
 	mkdir libcli-$(MAJOR).$(MINOR).$(REVISION)

=== debian/changelog ===
libcli (1.9.7-2) unstable; urgency=low

  * Fix compilation with GCC 5. Thanks to James Cowgill. (closes: #777941)

 -- Jonathan McDowell <noodles@earth.li>  Fri, 26 Jun 2015 12:41:28 +0100

libcli (1.9.7-1) unstable; urgency=low

  * New upstream release.
  * Fix spelling mistake in description.
  * Bump Standards-Version to 3.9.5.0
    * Add symbols file covering 1.9.1 + 1.9.6.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 23 Feb 2014 15:14:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Maintainer: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper (>> 8)
-Standards-Version: 3.9.3.0
+Standards-Version: 3.9.5.0
 Vcs-Git: https://github.com/dparrish/libcli.git
 
 Package: libcli-dev
@@ -11,7 +11,7 @@
 Architecture: any
 Depends: libcli1.9 (= ${binary:Version}), ${misc:Depends} 
 Description: emulates a cisco style telnet command-line interface (dev files)
- libcli provides a consistant Cisco style command-line environment for
+ libcli provides a consistent Cisco style command-line environment for
  remote clients, with a few common features between every implemtation.
  .
  The library is not accessed by itself, rather the software which uses
@@ -34,7 +34,7 @@
 Provides: libcli1
 Replaces: libcli1
 Description: emulates a cisco style telnet command-line interface
- libcli provides a consistant Cisco style command-line environment for
+ libcli provides a consistent Cisco style command-line environment for
  remote clients, with a few common features between every implemtation.
  .
  The library is not accessed by itself, rather the software which uses

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libcli; http://libcli.sf.net/

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# shared library version
version=1.9.0
major=1.9

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) PREFIX=/usr
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/tmp
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/include/* \
		$(CURDIR)/debian/libcli-dev/usr/include
	mkdir -p $(CURDIR)/debian/libcli-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(CURDIR)/debian/tmp/usr/lib/libcli.so \
		$(CURDIR)/debian/libcli-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p $(CURDIR)/debian/libcli${major}/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(CURDIR)/debian/tmp/usr/lib/* \
		$(CURDIR)/debian/libcli${major}/usr/lib/$(DEB_HOST_MULTIARCH)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

	dh_installdocs -plibcli-dev clitest.c
	dh_installdocs -plibcli1.9
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://githubredir.debian.net/github/dparrish/libcli /v(.+).tar.gz

## libcli 1.10.2

=== Makefile ===
# Build dynamic library by default
DYNAMIC_LIB ?= 1
# Build static library by default
STATIC_LIB ?= 1
# Run tests by default
TESTS ?= 1

UNAME = $(shell sh -c 'uname -s 2>/dev/null || echo not')
DESTDIR =
PREFIX = /usr/local

MAJOR = 1
MINOR = 10
REVISION = 2
LIB = libcli.so
LIB_STATIC = libcli.a

CC = gcc
AR = ar
ARFLAGS = rcs
DEBUG = -g
OPTIM = -O3
override CFLAGS += $(DEBUG) $(OPTIM) -Wall -std=c99 -pedantic -Wformat-security -Wno-format-zero-length -Werror -Wwrite-strings -Wformat -fdiagnostics-show-option -Wextra -Wsign-compare -Wcast-align -Wno-unused-parameter
override LDFLAGS += -shared
override LIBPATH += -L.

ifeq ($(UNAME),Darwin)
override LDFLAGS += -Wl,-install_name,$(LIB).$(MAJOR).$(MINOR)
else
override LDFLAGS += -Wl,-soname,$(LIB).$(MAJOR).$(MINOR)
LIBS = -lcrypt
endif

ifeq (1,$(DYNAMIC_LIB))
TARGET_LIBS += $(LIB)
endif
ifeq (1,$(STATIC_LIB))
TARGET_LIBS += $(LIB_STATIC)
endif

all: $(TARGET_LIBS) $(if $(filter 1,$(TESTS)),clitest)

$(LIB): libcli.o
	$(CC) -o $(LIB).$(MAJOR).$(MINOR).$(REVISION) $^ $(LDFLAGS) $(LIBS)
	-rm -f $(LIB) $(LIB).$(MAJOR).$(MINOR)
	ln -s $(LIB).$(MAJOR).$(MINOR).$(REVISION) $(LIB).$(MAJOR).$(MINOR)
	ln -s $(LIB).$(MAJOR).$(MINOR) $(LIB)

$(LIB_STATIC): libcli.o
	$(AR) $(ARFLAGS) $@ $^

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -o $@ -c $<

libcli.o: libcli.h

clitest: clitest.o $(LIB)
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< -L. -lcli

clitest.exe: clitest.c libcli.o
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< libcli.o -lws2_32

clean:
	rm -f *.o $(LIB)* $(LIB_STATIC) clitest libcli-$(MAJOR).$(MINOR).$(REVISION).tar.gz

install: $(TARGET_LIBS)
	install -d $(DESTDIR)$(PREFIX)/include $(DESTDIR)$(PREFIX)/lib
	install -m 0644 libcli.h $(DESTDIR)$(PREFIX)/include
  ifeq (1,$(STATIC_LIB))
	install -m 0644 $(LIB_STATIC) $(DESTDIR)$(PREFIX)/lib
  endif
  ifeq (1,$(DYNAMIC_LIB))
	install -m 0755 $(LIB).$(MAJOR).$(MINOR).$(REVISION) $(DESTDIR)$(PREFIX)/lib
	cd $(DESTDIR)$(PREFIX)/lib && \
	    ln -fs $(LIB).$(MAJOR).$(MINOR).$(REVISION) $(LIB).$(MAJOR).$(MINOR) && \
	    ln -fs $(LIB).$(MAJOR).$(MINOR) $(LIB)
  endif

rpmprep:
	rm -rf libcli-$(MAJOR).$(MINOR).$(REVISION)
	mkdir libcli-$(MAJOR).$(MINOR).$(REVISION)
	cp -R libcli.{c,h} libcli.spec clitest.c Makefile COPYING README.md doc libcli-$(MAJOR).$(MINOR).$(REVISION)
	tar zcvf libcli-$(MAJOR).$(MINOR).$(REVISION).tar.gz --exclude CVS --exclude *.tar.gz libcli-$(MAJOR).$(MINOR).$(REVISION)
	rm -rf libcli-$(MAJOR).$(MINOR).$(REVISION)

rpm: rpmprep
	rpmbuild -ta libcli-$(MAJOR).$(MINOR).$(REVISION).tar.gz --define "debug_package %{nil}" --clean

lint:
	clang-tidy -quiet -warnings-as-errors *.c *.h

=== debian/changelog ===
libcli (1.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 01 Dec 2019 09:39:57 +0000

libcli (1.10.0-1) unstable; urgency=low

  * New upstream release.
    * Remove no longer necessary GCC 5 build patch.
  * Update watch file to use github directly instead of githubredir.
  * Bump debhelper to compat level 10.
  * Mark libcli-dev as Multi-Arch: same
  * Switch to DH.
  * Bump Standards-Version to 4.4.0 (no further changes from above)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 27 Jul 2019 14:47:26 -0300

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Priority: optional
 Section: libs
 Maintainer: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>> 8)
-Standards-Version: 3.9.5.0
+Build-Depends: debhelper (>> 10),
+	 dh-exec (>=0.3)
+Standards-Version: 4.4.0
 Vcs-Git: https://github.com/dparrish/libcli.git
 
 Package: libcli-dev
 Section: libdevel
 Architecture: any
-Depends: libcli1.9 (= ${binary:Version}), ${misc:Depends} 
+Depends: libcli1.10 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: emulates a cisco style telnet command-line interface (dev files)
  libcli provides a consistent Cisco style command-line environment for
  remote clients, with a few common features between every implemtation.
@@ -24,7 +26,7 @@
  This package contains the files necessary for developing applications
  with libcli.
 
-Package: libcli1.9
+Package: libcli1.10
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}

=== debian/watch ===
version=3
https://github.com/dparrish/libcli/tags .*/v(.*)\.tar\.gz

## libcli 1.10.4

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 MAJOR = 1
 MINOR = 10
-REVISION = 2
+REVISION = 4
 LIB = libcli.so
 LIB_STATIC = libcli.a

=== debian/changelog ===
libcli (1.10.4-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to cope with V/v in version tag.

 -- Jonathan McDowell <noodles@earth.li>  Mon, 18 May 2020 18:01:56 +0100

## libcli 1.10.7

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 MAJOR = 1
 MINOR = 10
-REVISION = 4
+REVISION = 7
 LIB = libcli.so
 LIB_STATIC = libcli.a
 
@@ -79,7 +79,7 @@
 rpmprep:
 	rm -rf libcli-$(MAJOR).$(MINOR).$(REVISION)
 	mkdir libcli-$(MAJOR).$(MINOR).$(REVISION)
-	cp -R libcli.{c,h} libcli.spec clitest.c Makefile COPYING README.md doc libcli-$(MAJOR).$(MINOR).$(REVISION)
+	cp -R libcli.c libcli.h libcli.spec clitest.c Makefile COPYING README.md doc libcli-$(MAJOR).$(MINOR).$(REVISION)
 	tar zcvf libcli-$(MAJOR).$(MINOR).$(REVISION).tar.gz --exclude CVS --exclude *.tar.gz libcli-$(MAJOR).$(MINOR).$(REVISION)
 	rm -rf libcli-$(MAJOR).$(MINOR).$(REVISION)

=== debian/changelog ===
libcli (1.10.7-3) unstable; urgency=medium

  * Fix FSF address in copyright file
  * Update debian/watch to v4 + GitHub releases page
  * Add libcrypt-dev to Build-Depends. Closes: #1106936

 -- Jonathan McDowell <noodles@earth.li>  Sat, 15 Nov 2025 17:31:25 +0000

libcli (1.10.7-2) unstable; urgency=medium

  [ Debian Janitor]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-exec.

  [ Jonathan McDowell ]
  * Fix compilation with GCC 14. Closes: #1075158
  * Switch to debhelper-compat level 13
  * Drop dh-exec dependency
  * Set Rules-Requires-Root to no
  * Bump Standards-Version to 4.7.0

 -- Jonathan McDowell <noodles@earth.li>  Fri, 26 Jul 2024 19:50:26 +0100

libcli (1.10.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062252

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:28:25 +0000

libcli (1.10.7-1) unstable; urgency=low

  * New upstream release.
  * Fix Vcs-Git link to point to Salsa

 -- Jonathan McDowell <noodles@earth.li>  Sun, 26 Sep 2021 11:29:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,19 @@
 Priority: optional
 Section: libs
 Maintainer: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>> 10),
-	 dh-exec (>=0.3)
-Standards-Version: 4.4.0
-Vcs-Git: https://github.com/dparrish/libcli.git
+Build-Depends: debhelper-compat (= 13),
+	dpkg-dev (>= 1.22.5),
+	libcrypt-dev
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Homepage: https://github.com/dparrish/libcli
+Vcs-Browser: https://salsa.debian.org/noodles/libcli
+Vcs-Git: https://salsa.debian.org/noodles/libcli.git
 
 Package: libcli-dev
 Section: libdevel
 Architecture: any
-Depends: libcli1.10 (= ${binary:Version}), ${misc:Depends}
+Depends: libcli1.10t64 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: emulates a cisco style telnet command-line interface (dev files)
  libcli provides a consistent Cisco style command-line environment for
@@ -26,15 +30,16 @@
  This package contains the files necessary for developing applications
  with libcli.
 
-Package: libcli1.10
+Package: libcli1.10t64
+Breaks: libcli1.10 (<< ${source:Version})
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Conflicts: libcli1
-Provides: libcli1
-Replaces: libcli1
+Provides: libcli1, ${t64:Provides}
+Replaces: libcli1.10, libcli1
 Description: emulates a cisco style telnet command-line interface
  libcli provides a consistent Cisco style command-line environment for
  remote clients, with a few common features between every implemtation.

=== debian/watch ===
version=4
opts=\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
 https://api.github.com/repos/dparrish/libcli/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
